Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.map
Class SQLResult

    java.lang.Object
      org.apache.cayenne.map.SQLResult

    public class SQLResult

extends java.lang.Object

A metadata object that defines how a row in a result set can be converted to result objects. SQLResult can be mapped to a single scalar, a single entity or a mix of scalars and entities that is represented as an Object[].

Since:
  3.0

Field Summary
`protected java.lang.String` | `name`
`protected java.util.List<java.lang.Object>` | `resultDescriptors`

Constructor Summary
`SQLResult()` Creates an unnamed SQLResultSet.
`SQLResult(java.lang.String name)` Creates a named SQLResultSet.

Method Summary
`void` | `addColumnResult(java.lang.String column)` Adds a result set column name to the mapping.
`void` | `addEntityResult(EntityResult entityResult)`
`java.util.List<java.lang.Object>` | `getComponents()` Returns a list of "uncompiled" result descriptors.
`java.lang.String` | `getName()`
`java.util.List<java.lang.Object>` | `getResolvedComponents(EntityResolver resolver)`
`void` | `setName(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### resultDescriptors

    protected java.util.List<java.lang.Object> resultDescriptors

Constructor Detail

### SQLResult

    public SQLResult()

  Creates an unnamed SQLResultSet.

### SQLResult

    public SQLResult(java.lang.String name)

  Creates a named SQLResultSet.

Method Detail

### getResolvedComponents

    public java.util.List<java.lang.Object> getResolvedComponents(EntityResolver resolver)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getComponents

    public java.util.List<java.lang.Object> getComponents()

  Returns a list of "uncompiled" result descriptors. Column descriptors are returned as Strings, entity descriptors - as `EntityResult`. To get fully resolved descriptors, use `getResolvedComponents(EntityResolver)`.

### addEntityResult

    public void addEntityResult(EntityResult entityResult)

### addColumnResult

    public void addColumnResult(java.lang.String column)

  Adds a result set column name to the mapping.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Apache Cayenne. All Rights Reserved.